Matlab code 1: Michaelis-Menten kinetics

Filename: mm.m

k1=1e3; % units 1/(Ms)
k_1=1; % units 1/s
k2=0.05; % units 1/s
E0=0.5e-3; % units M
options=[];
[t y]=ode23('mmfunc_v2',[0 200],[1e-3 0 0],options,k1,k_1,k2,E0);
S=y(:,1);ES=y(:,2);E=E0-ES;P=y(:,3);
loglog(t,S,'r',t,E,'b',t,ES,'g',t,P,'c');

 

Filename: mmfunc_v2.m 

function dydt = f(t,y,flag,k1,k_1,k2,E0)
% [S] = y(1)
% [ES] = y(2)
% [P] = y(3)
dydt = [-k1*E0*y(1)+(k1*y(1)+k_1)*y(2); k1*E0*y(1)-(k1*y(1)+k_1+k2)*y(2); k2*y(2)];